﻿// This ActionScript 2.0 code must go in an external CreateButton.as file
class CreateButton {
	// Variable target is the timeline that the
	// CreateButton instance will create buttons on.
	private var target:MovieClip;
	// Constructor.
	public function CreateButton(targetTimeline:MovieClip) {
		target = targetTimeline;
	}
	// Define createBtn( ) method
	// Arguments:
	// buttonName - The instance name of the created button.
	// dynaLabel - The label text of the created button.
	// depth - The depth of the created button.
	// x, y - The position of the created button.
	// Returns:
	// A button movie clip with instance name buttonName.
	public function createBtn(buttonName:String, dynaLabel:String, depth:Number, x:Number, y:Number):MovieClip {
		// Initialize.
		var clip:MovieClip;
		var clipMask:MovieClip;
		var txt_fmt:TextFormat;
		var clipText:TextField;
		// Create button clip.
		clip = target.createEmptyMovieClip(buttonName, depth);
		drawPip(clip);
		clip._x = x;
		clip._y = y;
		// Create button hit area.
		clipMask = clip.createEmptyMovieClip("mask", 0);
		clipMask._visible = false;
		drawPip(clipMask);
		clip.hitArea = clipMask;
		// Create TextFormat object for applying formatting.
		txt_fmt = new TextFormat();
		txt_fmt.font = "_sans";
		txt_fmt.size = 12;
		// Create textField (i.e., the button label).
		clip.createTextField(buttonName+"_txt", 1, 10, -10, 100, 20);
		clipText = clip[buttonName+"_txt"];
		clipText.text = dynaLabel;
		clipText.setTextFormat(txt_fmt);
		return clip;
	}
	private function drawPip(clip):Void {
		clip.lineStyle(15, 0x0, 100);
		clip.moveTo(0, 0);
		clip.lineTo(0.2, 0);
	}
}
